%if 0%{?fedora}
%global with_python3 1
%endif

%{!?_licensedir: %global license %%doc}

%global modname pygments-markdown-lexer
%global sum     A Markdown lexer for Pygments to highlight Markdown code snippets

Name:               python-pygments-markdown-lexer
Version:            0.1.0.dev39
Release:            2%{?dist}
Summary:            %{sum}

# One file is BSD, the rest are ASL
# https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Multiple_Licensing_Scenarios
License:            ASL 2.0 and BSD
URL:                http://pypi.python.org/pypi/pygments-markdown-lexer
Source0:            https://pypi.python.org/packages/source/p/%{modname}/%{modname}-%{version}.zip
BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python2-setuptools
BuildRequires:      python-pygments

%if 0%{?with_python3}
BuildRequires:      python3-devel
BuildRequires:      python3-setuptools
BuildRequires:      python3-pygments
%endif

%description
%{sum}

%package -n python2-%{modname}
Summary:            %{sum}
%{?python_provide:%python_provide python2-%{modname}}

Requires:           python-pygments

%description -n python2-%{modname}
%{sum}

%if 0%{?with_python3}
%package -n python3-%{modname}
Summary:            %{sum}
%{?python_provide:%python_provide python3-%{modname}}

Requires:           python3-pygments

%description -n python3-%{modname}
%{sum}
%endif

%prep
%autosetup -n %{modname}-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif

# Well this is weird...
rm -rf %{buildroot}/usr/EGG-INFO

%files -n python2-%{modname}
%doc README.md
%license LICENSE
%{python2_sitelib}/pygments_markdown_lexer/
%{python2_sitelib}/pygments_markdown_lexer-%{version}*

%if 0%{?with_python3}
%files -n python3-%{modname}
%doc README.md
%license LICENSE
%{python3_sitelib}/pygments_markdown_lexer/
%{python3_sitelib}/pygments_markdown_lexer-%{version}-*
%endif

%changelog
* Tue Mar 22 2016 Ralph Bean <rbean@redhat.com> - 0.1.0.dev39-2
- Update licensing info as per review.
- Drop el6 macros.

* Thu Mar 17 2016 Ralph Bean <rbean@redhat.com> - 0.1.0.dev39-1
- Initial package for Fedora
